//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include "UTagMonitor.h"

#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck wird benutzt, um sicherzustellen, da die erzeugten Komponenten
// keine rein virtuellen Funktionen besitzen.
//

static inline void ValidCtrCheck(TTagMonitor *){
   new TTagMonitor(NULL);
}//---------------------------------------------------------------------------

namespace Utagmonitor{
   void __fastcall PACKAGE Register()   {
       TComponentClass classes[1] = {__classid(TTagMonitor)};
       RegisterComponents("SWT", classes, 0);
   }
}//-----------------------------------------------------------------------------

__fastcall TTagMonitor::TTagMonitor(TComponent* Owner)
   : TComponent(Owner){
   if ( !ComponentState.Contains(csDesigning) ){
      MonitorSender = new TMonitorSender;
   }
}//-----------------------------------------------------------------------------

__fastcall TTagMonitor::~TTagMonitor(){
   if ( !ComponentState.Contains(csDesigning) ){
      delete MonitorSender;
   }
}//-----------------------------------------------------------------------------

void __fastcall TTagMonitor::SendError(const String &tx, int errCode){
   String t;
   if ( AppID != "" )
      t = "["+AppID+"] "+tx;
   else
      t = tx;
   MonitorSender->SendError(t, errCode);
}//-----------------------------------------------------------------------------

void __fastcall TTagMonitor::SendInfo(const String &tx, int errCode){
   String t;
   if ( AppID != "" )
      t = "["+AppID+"] "+tx;
   else
      t = tx;
   MonitorSender->SendInfo(t, errCode);
}//-----------------------------------------------------------------------------

void __fastcall TTagMonitor::SendWarning(const String &tx, int errCode){
   String t;
   if ( AppID != "" )
      t = "["+AppID+"] "+tx;
   else
      t = tx;
   MonitorSender->SendWarning(t, errCode);
}//-----------------------------------------------------------------------------
